import { IServer } from "./IServer";
import { AppInfo } from "./AppInfo";
import { Config } from "./Config";
import { IDbProcessor } from "./IDbProcessor";
export declare class HttpServer implements IServer {
    private actionMap;
    private appInfo;
    private config;
    private server;
    private dbProcessor;
    constructor(appInfo: AppInfo, config: Config, dbProcessor: IDbProcessor);
    run(): void;
    stop(): void;
    private handleRequest(request, response);
    private processDbRequest(request, response);
    private processGetAction(dbCommand, request, response);
    private processPostAction(dbCommand, request, response);
    private processPutAction(dbCommand, request, response);
    private processDeleteAction(dbCommand, request, response);
    private readRequestBody(request, callback);
    private readAndParseRequestBody(request, callback, errorCallback);
    private badRequest(response, err);
}
