import { SearchOperator } from "./SearchOperator";
import { ISearchOperatorExecutor } from "./ISearchOperatorExecutor";
export declare module SearchOperatorRegistry {
    var Equals: SearchOperator;
    var NotEquals: SearchOperator;
    var Matches: SearchOperator;
    var NotMatches: SearchOperator;
    var LessThan: SearchOperator;
    var LessThanOrEqual: SearchOperator;
    var GreaterThan: SearchOperator;
    var GreaterThanOrEqual: SearchOperator;
    var In: SearchOperator;
    var NotIn: SearchOperator;
    var Default: SearchOperator;
    function add(aliases: string | Array<string>, exec: ISearchOperatorExecutor, parseValue?: (value: any) => any, validateValue?: (value: any) => void): SearchOperator;
    function addOperator(operator: SearchOperator): SearchOperator;
    function get(name: string): SearchOperator;
    function resolve(operator: SearchOperator | string): SearchOperator;
}
